swSpecificHeat {oce} | R Documentation

## Seawater specific heat

### Description

Compute specific heat of seawater.

### Usage

    swSpecificHeat(salinity, temperature=NULL, pressure=0,
        longitude=300, latitude=30, eos=getOption("oceEOS", default="gsw"))

### Arguments

`salinity` | either practial salinity (in which case `temperature` and `pressure` must be provided) or an `oce` object (in which case `salinity`, etc. are inferred from the object).
`temperature` | in-situ temperature [degC], defined on the ITS-90 scale.
`pressure` | seawater pressure [dbar]
`longitude` | longitude of observation (only used if `eos="gsw"`; see ‘Details’).
`latitude` | latitude of observation (only used if `eos="gsw"`; see ‘Details’).
`eos` | equation of state, either `"unesco"` or `"gsw"`.

### Details

If the first argument is a `ctd` object, then salinity, etc, are extracted from it, and used for the calculation.

### Value

Specific heat J/(kg degC)

### Author(s)

Dan Kelley

### References

Millero et. al., J. Geophys. Res. 78 (1973), 4499-4507

Millero et. al., UNESCO report 38 (1981), 99-188.

### Examples

    swSpecificHeat(40, T90fromT68(40), 10000, eos="unesco") # 3949.499

[Package oce version 0.9-18 Index]